This documentation is for an outdated version of Video.js. See documentation for the current release.

# MediaLoader

The Media Loader is the component that decides which playback technology to load when the player is initialized.

DEFINED IN: loader.js line number: 9

EXTENDS: component.js

### Constructor

    MediaLoader( player,[options],[ready] )

#### Parameters

name | Type | Required | Description
--- | --- | --- | ---
player | Object | yes | Main Player
options | Object | no | Object of option names and values
ready | function | no | Ready callback function